Subject: Re: [IPP] New stable draft of IPP Finishings 2.1 available for review

From: Michael Sweet <[email-masked]>
Date: Sat, 01 Oct 2016 19:08:27 -0400

Smith,

One comment inline, we can talk more on the Wednesday concall...

> On Sep 27, 2016, at 12:59 AM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
> 
> Greetings,
> 
> I have posted for review a new stable draft of IPP Finishings 2.1. It is available here:
> 
>  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160926.pdf 
>  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160926.docx
>  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160926-rev.pdf
>  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160926-rev.docx
> 
> Highlights within include the following:
> 
> * Made some modifications to the "printer-finisher" definition including updates to 'Table 2 - Keywords for "printer-finisher"'.
> 
> * Added a new "printer-finisher-supplies" attribute that conveys the finisher unit's supplies information, which is defined in "Printer Finishing MIB" [RFC3806] but has no IPP equivalent.
> 
> * Added a comment to section 5.3 "job-pages-per-set" asking for a description of how "job-pages-per-set" would work in the case where the Job contains multiple Documents.

This is defined by the "multiple-document-handling" attribute, just as for the rest of the Job Template attributes.

Conceptually we want to have a "pages-per-set" Document Template attribute, although I suspect that it would not see much use - "job-pages-per-set" is for things like PWG Raster Format where the Client is providing its own copies/sets to the Printer (multiple documents merged at the Client) rather than sending a high-level format (PDF) and asking the Printer to produce multiple sets/copies.  Printers sophisticated enough to support the Document object are probably going to support PDF...

(so maybe we can just reference the section on "multiple-document-handling" in RFC2911bis and say why there is no equivalent Document Template attribute?)

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Tue, 4 Oct 2016 17:32:21 +0000

Hi Mike,

> On 2016-10-01, at 5:08 PM, Michael Sweet <[email-masked]> wrote:
> 
> Smith,
> 

I started adding some text, and then it occurred to me that the value of "job-pages-per-set" has to be, or ought to be, an exact multiple of the total number of pages in the Job. I updated it thus:
The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the number of input pages that constitute a set for finishing processes.  The value of "job-pages-per-set" must be a multiple of the total number of pages of all Documents in the Job. For example, if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for printing that actually contains two copies of four duplex pages each, the Client could specify a "job-pages-per-set" Job Template attribute with a value of 7, a "sides" attribute with a value of 'two-sided-long-edge', and a "finishings" attribute with a value of 4 (staple) to have the Printer staple two Sets of four sheets. Figure 4 shows a graphical representation of this example.

That sentence I added makes clear how the pages taken from one or more Documents in a Job relate to the value found in this attribute, assuming there isn't some way that finishings could be set per-document in a Job. (Hoping that isn't possible...)

---

From: Michael Sweet <[email-masked]>
Date: Wed, 05 Oct 2016 15:58:46 -0400

Smith,

> On Oct 4, 2016, at 1:32 PM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
> ...
Actually, it is.  "finishings" and "finishings-col" are both Job Template and Document Template attributes, and the "overrides" attribute also allows finishings overrides that apply to 1 or more documents (for things like mail merge use cases...)

"job-pages-per-set" needs to be evenly divisible with either a) the total number of pages in all documents or b) the number of pages in each document (when "multiple-document-handling" is 'separate-documents-xxx').